Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Wed Jan 28, 2009 6:23 pm    Post subject: Reply with quote

Krog - copy over
Code:
/usr/local/portage/layman/kde-testing/profiles/package.mask
to your /etc/portage/package.unmask/ directory and rename it to whatever like kde-4.2 or something. It has all the packages for 4.2 as well as the 9999 stuff.
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Wed Jan 28, 2009 7:29 pm    Post subject: Reply with quote

Krog wrote:
in my /usr/portage/profiles/package.mask every >= -4.1.96 is masked
so i have to unmask manually? and which 4.2.0 is "better", portage or overlay?
I still want to use weekly snapshots of the overlay...

i used the overlay ebuils. just because of the possibility to use sets instead of meta packages.
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Wed Jan 28, 2009 7:42 pm    Post subject: Reply with quote

Hello,

I have a problem since 4.2.0. The problem is that I can save the apparence of yakuake. I change the apparence, I close the app, I reopen it and it's always like the beginning, any idea?

Thanks a lot
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Wed Jan 28, 2009 7:56 pm    Post subject: Reply with quote

thanks, emerging 8)
Back to top
View user's profile Send private message
zephir
n00b
n00b


Joined: 03 Jun 2008
Posts: 27
Location: near Barcelona (Spain)

PostPosted: Wed Jan 28, 2009 9:36 pm    Post subject: Re: pykde4-4.2.0 fails Reply with quote

zephir wrote:
Hi everyone,
pykde4 fails in my system since 4.1.85. I've tried the tricks in this thread but none worked and since RC seems that the "containment.h" file is fixed.

Here is the error:
Code:
/usr/kde/4.2/include/kconfiggroup.h:619: aviso: 'virtual const KConfigGroup KConfigGroup::groupImpl(const QByteArray&) const' estaba escondido
sipkdecorepart7.cpp:4880: aviso:   por 'virtual KConfigGroup sipKConfigGroup::groupImpl(const QByteArray&)'
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfigGroup_changeGroup(PyObject*, PyObject*)':
sipkdecorepart7.cpp:5297: aviso: 'void KConfigGroup::changeGroup(const QString&)' es obsoleto (declarado en /usr/kde/4.2/include/kconfiggroup.h:148)
sipkdecorepart7.cpp:5314: aviso: 'void KConfigGroup::changeGroup(const char*)' es obsoleto (declarado en /usr/kde/4.2/include/kconfiggroup.h:155)
/usr/kde/4.2/include/kconfig.h: At global scope:
/usr/kde/4.2/include/kconfig.h:375: aviso: 'virtual const KConfigGroup KConfig::groupImpl(const QByteArray&) const' estaba escondido
sipkdecorepart7.cpp:8740: aviso:   por 'virtual KConfigGroup sipKConfig::groupImpl(const QByteArray&)'
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_setForceGlobal(PyObject*, PyObject*)':
sipkdecorepart7.cpp:9381: aviso: 'void KConfig::setForceGlobal(bool)' es obsoleto (declarado en /usr/kde/4.2/include/kconfig.h:343)
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_forceGlobal(PyObject*, PyObject*)':
sipkdecorepart7.cpp:9409: aviso: 'bool KConfig::forceGlobal() const' es obsoleto (declarado en /usr/kde/4.2/include/kconfig.h:353)
Linking CXX shared library ../../lib/pykde/kdecore.so
[ 10%] Built target python_module_PyKDE4_kdecore
make: *** [all] Error 2


Sorry about the spanish things. If someone needs to translate it, just tell me.
Thanks in advance ^^


I still have this problem with 4.2.0, does someone knows how to fix it?
If you need any extra info about my system, please tell me.
Back to top
View user's profile Send private message
Dont Panic
Guru
Guru


Joined: 20 Jun 2007
Posts: 322
Location: SouthEast U.S.A.

PostPosted: Thu Jan 29, 2009 3:00 am    Post subject: Reply with quote

@zephir re:pykde4

I just left pykde4 out. There's only one package that depends on it (kde-base/marble), and if you build that package with a "-python" USE Flag, you shouldn't need it even there.
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Thu Jan 29, 2009 8:32 am    Post subject: Sets Reply with quote

How about kde sets in portage?

The following sets exist:

downgrade
installed
live-rebuild
module-rebuild
preserved-rebuild
security
system
unavailable
world
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Thu Jan 29, 2009 2:12 pm    Post subject: Reply with quote

4.2 ebuilds left the overlay and are in portage now (except for the sets), i guess its time to start a new thread for 4.3

by the way. 4.2 is working well. thanks for the ebuilds and the work.
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Thu Jan 29, 2009 9:19 pm    Post subject: Reply with quote

after recent changes ktorrent-3.2_beta torrent for 4.2 was lost, there is one for 4.1 in portage and 999 version in overlay.
Back to top
View user's profile Send private message
Dusdan
n00b
n00b


Joined: 10 Mar 2008
Posts: 37

PostPosted: Fri Jan 30, 2009 6:06 pm    Post subject: Reply with quote

4.2 is working fine, but I'm not able to compile networkmanager-applet anymore. I'm getting this error:

CMake Error at CMakeLists.txt:45 (message):
It is necessary to specify the directory where the client policy file for
NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR. Normally this
is /etc/dbus-1/system.d on a Linux system

Any ideas? Do I have to modify the ebuild and set DBUS_SYSTEM_POLICY_DIR
Back to top
View user's profile Send private message
ssmaxss
Apprentice
Apprentice


Joined: 28 Jun 2005
Posts: 160
Location: Moscow, Russia.

PostPosted: Fri Jan 30, 2009 6:15 pm    Post subject: Reply with quote

for me after update to 4.2 from 4.2rc kopete crashes on every attempt to start conversation:
Code:
SIGABRT
[Current thread is 0 (LWP 16182)]

Thread 5 (Thread 0xb2c51b90 (LWP 16185)):
#0  0xb7f89424 in __kernel_vsyscall ()
#1  0xb6510421 in select () from /lib/libc.so.6
#2  0xb7085ff0 in QEventDispatcherUNIX::select () from /usr/lib/qt4/libQtCore.so.4
#3  0xb7086675 in QEventDispatcherUNIXPrivate::doSelect () from /usr/lib/qt4/libQtCore.so.4
#4  0xb7087e60 in QEventDispatcherUNIX::processEvents () from /usr/lib/qt4/libQtCore.so.4
#5  0xb7059c1a in QEventLoop::processEvents () from /usr/lib/qt4/libQtCore.so.4
#6  0xb7059dda in QEventLoop::exec () from /usr/lib/qt4/libQtCore.so.4
#7  0xb31395e9 in QCA::SyncThread::run () from /usr/lib/qca2/libqca.so.2
#8  0xb6f6a12e in ?? () from /usr/lib/qt4/libQtCore.so.4
#9  0xb63fd090 in start_thread () from /lib/libpthread.so.0
#10 0xb6516efe in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb2450b90 (LWP 16186)):
#0  0xb7f89424 in __kernel_vsyscall ()
#1  0xb6400906 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6522c9d in pthread_cond_wait () from /lib/libc.so.6
#3  0xb6f6b2a2 in QWaitCondition::wait () from /usr/lib/qt4/libQtCore.so.4
#4  0xb60e1472 in ?? () from /usr/lib/qt4/libQtNetwork.so.4
#5  0xb6f6a12e in ?? () from /usr/lib/qt4/libQtCore.so.4
#6  0xb63fd090 in start_thread () from /lib/libpthread.so.0
#7  0xb6516efe in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb1c4fb90 (LWP 16188)):
#0  0xb7f89424 in __kernel_vsyscall ()
#1  0xb6400b8c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6522cf4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb6f6b27c in QWaitCondition::wait () from /usr/lib/qt4/libQtCore.so.4
#4  0xb6f60636 in ?? () from /usr/lib/qt4/libQtCore.so.4
#5  0xb6f6a12e in ?? () from /usr/lib/qt4/libQtCore.so.4
#6  0xb63fd090 in start_thread () from /lib/libpthread.so.0
#7  0xb6516efe in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb144eb90 (LWP 16189)):
#0  0xb7f89424 in __kernel_vsyscall ()
#1  0xb6510421 in select () from /lib/libc.so.6
#2  0xb2faeb9c in posix_timer_do () from /usr/lib/libortp.so.5
#3  0xb144e344 in ?? ()

Thread 1 (Thread 0xb5c0c700 (LWP 16182)):
#0  0xb7f89424 in __kernel_vsyscall ()
#1  0xb64e1b76 in nanosleep () from /lib/libc.so.6
#2  0xb64e198f in sleep () from /lib/libc.so.6
#3  0xb75e9f28 in ?? () from /usr/kde/4.2/lib/libkdeui.so.5
#4  0x00000000 in ?? ()

edit:
sorry it is problem with my setup. After i reemerged kdelibs 3.5 they updated /usr/kde/3.5/share/apps/khtml/css/html4.css that is used by kopete
and now kopete crashes with:
Code:
!!!!!!! ERROR !!!!!!! - KHTML default stylesheet version mismatch. Aborting. Check your installation. File usedwas: /usr/kde/3.5/share/apps/khtml/css/html4.css. Expected STYLE_VERSION 1

Maybe something should be done about it in ebuilds? Why kopete from 4.2 is looking into file from 3.5? I am using kdeprefix


Last edited by ssmaxss on Fri Jan 30, 2009 8:28 pm; edited 1 time in total
Back to top
View user's profile Send private message
Dusdan
n00b
n00b


Joined: 10 Mar 2008
Posts: 37

PostPosted: Fri Jan 30, 2009 8:27 pm    Post subject: Reply with quote

Dusdan wrote:
4.2 is working fine, but I'm not able to compile networkmanager-applet anymore. I'm getting this error:

CMake Error at CMakeLists.txt:45 (message):
It is necessary to specify the directory where the client policy file for
NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR. Normally this
is /etc/dbus-1/system.d on a Linux system

Any ideas? Do I have to modify the ebuild and set DBUS_SYSTEM_POLICY_DIR
Solved adding
Code:
src_configure() {
        mycmakeargs="${mycmakeargs}
        -DDBUS_INTERFACES_INSTALL_DIR=${KDEDIR}/share/dbus-1/interfaces/
        -DDBUS_SYSTEM_POLICY_DIR=${S}"
        kde4-base_src_configure
}

to the ebuild
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Jan 30, 2009 10:17 pm    Post subject: Re: pykde4-4.2.0 fails Reply with quote

zephir wrote:
zephir wrote:
Hi everyone,
pykde4 fails in my system since 4.1.85. I've tried the tricks in this thread but none worked and since RC seems that the "containment.h" file is fixed.

Here is the error:
Code:
/usr/kde/4.2/include/kconfiggroup.h:619: aviso: 'virtual const KConfigGroup KConfigGroup::groupImpl(const QByteArray&) const' estaba escondido
sipkdecorepart7.cpp:4880: aviso:   por 'virtual KConfigGroup sipKConfigGroup::groupImpl(const QByteArray&)'
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfigGroup_changeGroup(PyObject*, PyObject*)':
sipkdecorepart7.cpp:5297: aviso: 'void KConfigGroup::changeGroup(const QString&)' es obsoleto (declarado en /usr/kde/4.2/include/kconfiggroup.h:148)
sipkdecorepart7.cpp:5314: aviso: 'void KConfigGroup::changeGroup(const char*)' es obsoleto (declarado en /usr/kde/4.2/include/kconfiggroup.h:155)
/usr/kde/4.2/include/kconfig.h: At global scope:
/usr/kde/4.2/include/kconfig.h:375: aviso: 'virtual const KConfigGroup KConfig::groupImpl(const QByteArray&) const' estaba escondido
sipkdecorepart7.cpp:8740: aviso:   por 'virtual KConfigGroup sipKConfig::groupImpl(const QByteArray&)'
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_setForceGlobal(PyObject*, PyObject*)':
sipkdecorepart7.cpp:9381: aviso: 'void KConfig::setForceGlobal(bool)' es obsoleto (declarado en /usr/kde/4.2/include/kconfig.h:343)
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_forceGlobal(PyObject*, PyObject*)':
sipkdecorepart7.cpp:9409: aviso: 'bool KConfig::forceGlobal() const' es obsoleto (declarado en /usr/kde/4.2/include/kconfig.h:353)
Linking CXX shared library ../../lib/pykde/kdecore.so
[ 10%] Built target python_module_PyKDE4_kdecore
make: *** [all] Error 2


Sorry about the spanish things. If someone needs to translate it, just tell me.
Thanks in advance ^^


I still have this problem with 4.2.0, does someone knows how to fix it?
If you need any extra info about my system, please tell me.


Could you LC_ALL=en_US before compiling so that build log is more readable? Besides it doesn't look like this log contains line that caused error message (just some warnings).

@Dusdan
What ebuild is it? In portage or in some overlay?

@ssmaxss
Yeah, this mixed KDE3/4 sessions problem is not really fixed yet.
_________________
Maciek
Back to top
View user's profile Send private message
KejPi
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 122
Location: Prague, Czech republic

PostPosted: Fri Jan 30, 2009 10:26 pm    Post subject: Reply with quote

Hi, is anybody of you using QtCurve? I have installed qtcurve-qt4, but some files are installed to /usr/lib64/kde4 where they are ignored by KDE. The same problem is for phonon-xine.
Is there any clean solution appart for symlinking? Thanks.
_________________
hidentity.org
Back to top
View user's profile Send private message
KejPi
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 122
Location: Prague, Czech republic

PostPosted: Fri Jan 30, 2009 10:38 pm    Post subject: Reply with quote

Is anybody able to link kopete-antispam with KDE4.2? Thanks.
_________________
hidentity.org
Back to top
View user's profile Send private message
zephir
n00b
n00b


Joined: 03 Jun 2008
Posts: 27
Location: near Barcelona (Spain)

PostPosted: Fri Jan 30, 2009 11:16 pm    Post subject: Re: pykde4-4.2.0 fails Reply with quote

reavertm wrote:

Could you LC_ALL=en_US before compiling so that build log is more readable? Besides it doesn't look like this log contains line that caused error message (just some warnings).


Yes of course, here it is a bit more extended:

Code:
>>> Compiling source in /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4-4.2.0 ...         
make -j3                                                                                     
Scanning dependencies of target compile_python_files                                         
[  1%] [  2%] Generating sip/dnssd/sipdnssdpart0.cpp, sip/dnssd/sipdnssdpart1.cpp, sip/dnssd/sipdnssdpart2.cpp, sip/dnssd/sipdnssdpart3.cpp, sip/dnssd/sipdnssdpart4.cpp, sip/dnssd/sipdnssdpart5.cpp, sip/dnssd/sipdnssdpart6.cpp, sip/dnssd/sipdnssdpart7.cpp                                 
                                                                                                                                               

Generating sip/kdecore/sipkdecorepart0.cpp, sip/kdecore/sipkdecorepart1.cpp, sip/kdecore/sipkdecorepart2.cpp, sip/kdecore/sipkdecorepart3.cpp, sip/kdecore/sipkdecorepart4.cpp, sip/kdecore/sipkdecorepart5.cpp, sip/kdecore/sipkdecorepart6.cpp, sip/kdecore/sipkdecorepart7.cpp               
                                                                                                                                               

[  2%] Built target compile_python_files
[  3%] Generating sip/kdeui/sipkdeuipart0.cpp, sip/kdeui/sipkdeuipart1.cpp, sip/kdeui/sipkdeuipart2.cpp, sip/kdeui/sipkdeuipart3.cpp, sip/kdeui/sipkdeuipart4.cpp, sip/kdeui/sipkdeuipart5.cpp, sip/kdeui/sipkdeuipart6.cpp, sip/kdeui/sipkdeuipart7.cpp                                       
                                                                                                                                               
sip: /usr/share/sip/qt/versions.sip:34: Version is already defined                                                                             
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Error 1                                                                               
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Error 2                                                             
make[1]: *** Waiting for unfinished jobs....                                                                                                   
sip: /usr/share/sip/qt/versions.sip:34: Version is already defined                                                                             
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Error 1                                                                               
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2                                                             
Scanning dependencies of target python_module_PyKDE4_kdecore                                                                                   
[  4%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart0.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart0.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
[  4%] [  5%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart1.o                       
Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart2.o                                     
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart1.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart2.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
sipkdecorepart0.cpp: In function 'PyObject* meth_KUser_fullName(PyObject*, PyObject*)':                                                         
sipkdecorepart0.cpp:13026: warning: 'QString KUser::fullName() const' is deprecated (declared at /usr/kde/4.2/include/kuser.h:179)             
/var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4-4.2.0/python/pykde4/sip/kdecore/kservicetype.sip: In function 'PyObject* convertFrom_QMap_0200QString_0500QVariant_Type(void*, PyObject*)':                                                                                                 
/var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4-4.2.0/python/pykde4/sip/kdecore/kservicetype.sip:167: warning: suggest explicit braces to avoid ambiguous 'else'                                                                                                                             
sipkdecorepart2.cpp: In function 'PyObject* meth_KServiceType_desktopEntryPath(PyObject*, PyObject*)':                                         
sipkdecorepart2.cpp:5335: warning: 'QString KServiceType::desktopEntryPath() const' is deprecated (declared at /usr/kde/4.2/include/kservicetype.h:75)                                                                                                                                         
sipkdecorepart2.cpp: In function 'PyObject* meth_KMimeType_parentMimeType(PyObject*, PyObject*)':                                               
sipkdecorepart2.cpp:6547: warning: 'QString KMimeType::parentMimeType() const' is deprecated (declared at /usr/kde/4.2/include/kmimetype.h:293)
sipkdecorepart1.cpp: In constructor 'sipKPluginFactory::sipKPluginFactory(const KAboutData*, QObject*)':                                       
sipkdecorepart1.cpp:1424: warning: 'KPluginFactory::KPluginFactory(const KAboutData*, QObject*)' is deprecated (declared at /usr/kde/4.2/include/kpluginfactory.h:262)                                                                                                                         
sipkdecorepart1.cpp: In constructor 'sipKPluginFactory::sipKPluginFactory(QObject*)':                                                           
sipkdecorepart1.cpp:1429: warning: 'KPluginFactory::KPluginFactory(QObject*)' is deprecated (declared at /usr/kde/4.2/include/kpluginfactory.h:267)                                                                                                                                             
sipkdecorepart1.cpp: In member function 'virtual QObject* sipKPluginFactory::createObject(QObject*, const char*, const QStringList&)':         
sipkdecorepart1.cpp:1489: warning: 'virtual QObject* KPluginFactory::createObject(QObject*, const char*, const QStringList&)' is deprecated (declared at /usr/kde/4.2/include/kpluginfactory.h:415)                                                                                             
sipkdecorepart1.cpp: In member function 'QObject* sipKPluginFactory::sipProtectVirt_createObject(bool, QObject*, const char*, const QStringList&)':                                                                                                                                             
sipkdecorepart1.cpp:1686: warning: 'virtual QObject* KPluginFactory::createObject(QObject*, const char*, const QStringList&)' is deprecated (declared at /usr/kde/4.2/include/kpluginfactory.h:415)                                                                                             
sipkdecorepart1.cpp: In function 'PyObject* meth_KPluginFactory_create(PyObject*, PyObject*)':                                                 
sipkdecorepart1.cpp:1953: warning: 'QObject* KPluginFactory::create(QObject*, const char*, const QStringList&)' is deprecated (declared at /usr/kde/4.2/include/kpluginfactory.h:342)                                                                                                           
sipkdecorepart1.cpp: In function 'PyObject* meth_KLibrary_factory(PyObject*, PyObject*)':                                                       
sipkdecorepart1.cpp:4291: warning: 'KPluginFactory* KLibrary::factory(const char*)' is deprecated (declared at /usr/kde/4.2/include/klibrary.h:59)                                                                                                                                             
sipkdecorepart1.cpp: In function 'PyObject* meth_KLibLoader_self(PyObject*, PyObject*)':                                                       
sipkdecorepart1.cpp:4775: warning: 'static KLibLoader* KLibLoader::self()' is deprecated (declared at /usr/kde/4.2/include/klibloader.h:142)   
[  6%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart3.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart3.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
sipkdecorepart3.cpp: In function 'PyObject* meth_KCharsets_languageForEncoding(PyObject*, PyObject*)':                                         
sipkdecorepart3.cpp:464: warning: 'QString KCharsets::languageForEncoding(const QString&) const' is deprecated (declared at /usr/kde/4.2/include/kcharsets.h:147)                                                                                                                               
sipkdecorepart3.cpp: In function 'PyObject* meth_KStandardDirs_addResourceType(PyObject*, PyObject*)':                                         
sipkdecorepart3.cpp:2068: warning: 'bool KStandardDirs::addResourceType(const char*, const QString&, bool)' is deprecated (declared at /usr/kde/4.2/include/kstandarddirs.h:247)                                                                                                               
sipkdecorepart3.cpp: In function 'PyObject* meth_KStandardDirs_kde_default(PyObject*, PyObject*)':                                             
sipkdecorepart3.cpp:2689: warning: 'static QString KStandardDirs::kde_default(const char*)' is deprecated (declared at /usr/kde/4.2/include/kstandarddirs.h:624)                                                                                                                               
[  7%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart4.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart4.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
[  8%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart5.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart5.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
sipkdecorepart4.cpp: In function 'PyObject* meth_KUrl_cmp(PyObject*, PyObject*)':                                                               
sipkdecorepart4.cpp:8261: warning: 'bool KUrl::cmp(const KUrl&, bool) const' is deprecated (declared at /usr/kde/4.2/include/kurl.h:834)       
sipkdecorepart4.cpp: In function 'PyObject* meth_KUrl_fromPathOrUrl(PyObject*, PyObject*)':                                                     
sipkdecorepart4.cpp:8452: warning: 'static KUrl KUrl::fromPathOrUrl(const QString&)' is deprecated (declared at /usr/kde/4.2/include/kurl.h:932)
sipkdecorepart4.cpp: In function 'PyObject* meth_KUrl_encode_string(PyObject*, PyObject*)':                                                     
sipkdecorepart4.cpp:8545: warning: 'static QString KUrl::encode_string(const QString&)' is deprecated (declared at /usr/kde/4.2/include/kurl.h:971)                                                                                                                                             
sipkdecorepart4.cpp: In function 'PyObject* meth_KUrl_encode_string_no_slash(PyObject*, PyObject*)':                                           
sipkdecorepart4.cpp:8575: warning: 'static QString KUrl::encode_string_no_slash(const QString&)' is deprecated (declared at /usr/kde/4.2/include/kurl.h:986)                                                                                                                                   
sipkdecorepart4.cpp: In function 'PyObject* meth_KUrl_decode_string(PyObject*, PyObject*)':                                                     
sipkdecorepart4.cpp:8605: warning: 'static QString KUrl::decode_string(const QString&)' is deprecated (declared at /usr/kde/4.2/include/kurl.h:1000)                                                                                                                                           
sipkdecorepart5.cpp: In function 'PyObject* meth_KService_type(PyObject*, PyObject*)':                                                         
sipkdecorepart5.cpp:10528: warning: 'QString KService::type() const' is deprecated (declared at /usr/kde/4.2/include/kservice.h:105)           
sipkdecorepart5.cpp: In function 'PyObject* meth_KService_desktopEntryPath(PyObject*, PyObject*)':                                             
sipkdecorepart5.cpp:10744: warning: 'QString KService::desktopEntryPath() const' is deprecated (declared at /usr/kde/4.2/include/kservice.h:170)
/usr/kde/4.2/include/kconfig.h: At global scope:                                                                                               
/usr/kde/4.2/include/kconfig.h:375: warning: 'virtual const KConfigGroup KConfig::groupImpl(const QByteArray&) const' was hidden               
sipkdecorepart5.cpp:12965: warning:   by 'virtual KConfigGroup sipKDesktopFile::groupImpl(const QByteArray&)'                                   
[  9%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart6.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart6.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
[ 10%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/sip/kdecore/sipkdecorepart7.o                             
In file included from /usr/include/python2.5/Python.h:13,                                                                                       
                 from /usr/include/python2.5/sip.h:28,                                                                                         
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipAPIkdecore.h:11,                   
                 from /var/tmp/portage/kde-base/pykde4-4.2.0/work/pykde4_build/python/pykde4/sip/kdecore/sipkdecorepart7.cpp:7:                 
/usr/include/python2.5/pyconfig.h:976:1: warning: "_XOPEN_SOURCE" redefined                                                                     
<command-line>: warning: this is the location of the previous definition                                                                       
/usr/kde/4.2/include/kconfiggroup.h:619: warning: 'virtual const KConfigGroup KConfigGroup::groupImpl(const QByteArray&) const' was hidden     
sipkdecorepart7.cpp:4880: warning:   by 'virtual KConfigGroup sipKConfigGroup::groupImpl(const QByteArray&)'                                   
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfigGroup_changeGroup(PyObject*, PyObject*)':                                               
sipkdecorepart7.cpp:5297: warning: 'void KConfigGroup::changeGroup(const QString&)' is deprecated (declared at /usr/kde/4.2/include/kconfiggroup.h:148)                                                                                                                                         
sipkdecorepart7.cpp:5314: warning: 'void KConfigGroup::changeGroup(const char*)' is deprecated (declared at /usr/kde/4.2/include/kconfiggroup.h:155)                                                                                                                                           
/usr/kde/4.2/include/kconfig.h: At global scope:                                                                                               
/usr/kde/4.2/include/kconfig.h:375: warning: 'virtual const KConfigGroup KConfig::groupImpl(const QByteArray&) const' was hidden               
sipkdecorepart7.cpp:8740: warning:   by 'virtual KConfigGroup sipKConfig::groupImpl(const QByteArray&)'                                         
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_setForceGlobal(PyObject*, PyObject*)':                                                 
sipkdecorepart7.cpp:9381: warning: 'void KConfig::setForceGlobal(bool)' is deprecated (declared at /usr/kde/4.2/include/kconfig.h:343)         
sipkdecorepart7.cpp: In function 'PyObject* meth_KConfig_forceGlobal(PyObject*, PyObject*)':                                                   
sipkdecorepart7.cpp:9409: warning: 'bool KConfig::forceGlobal() const' is deprecated (declared at /usr/kde/4.2/include/kconfig.h:353)           
Linking CXX shared library ../../lib/pykde/kdecore.so                                                                                           
[ 10%] Built target python_module_PyKDE4_kdecore                                                                                               
make: *** [all] Error 2


Thanks for your time :D
Back to top
View user's profile Send private message
i4dnf
Apprentice
Apprentice


Joined: 18 Sep 2005
Posts: 265
Location: Bucharest, Romania

PostPosted: Sat Jan 31, 2009 1:21 am    Post subject: Re: pykde4-4.2.0 fails Reply with quote

zephir wrote:


Yes of course, here it is a bit more extended:
...


Thanks for your time :D


Try to unmerge pykde, then merge pykde4, then merge pykde again. This worked for me, and was suggested on one of the bugreports here.
_________________
"The only difference between me and a madman is that I am not MAD" (SALVATOR DALI)
Back to top
View user's profile Send private message
Dusdan
n00b
n00b


Joined: 10 Mar 2008
Posts: 37

PostPosted: Sat Jan 31, 2009 9:03 am    Post subject: Re: pykde4-4.2.0 fails Reply with quote

reavertm wrote:
@Dusdan
What ebuild is it? In portage or in some overlay?
networkmanager-applet-9999 inkde-testing.
By the way, since a week it doesn't work anymore and I have to use nm-applet, but it seems they are doing a refactoring.
Back to top
View user's profile Send private message
zephir
n00b
n00b


Joined: 03 Jun 2008
Posts: 27
Location: near Barcelona (Spain)

PostPosted: Sat Jan 31, 2009 9:23 am    Post subject: Re: pykde4-4.2.0 fails Reply with quote

i4dnf wrote:
zephir wrote:


Yes of course, here it is a bit more extended:
...


Thanks for your time :D


Try to unmerge pykde, then merge pykde4, then merge pykde again. This worked for me, and was suggested on one of the bugreports here.


Finally it worked, thanks!
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat Jan 31, 2009 4:28 pm    Post subject: Reply with quote

can somebody remember me what to do if there is not a phonon backend in system settings (and there is no sound!)?
my situation:
phonon-kde-4.2.0 installed
phonon-xine-4.1.4 not installed
phonon-4.3.0 installed
qt-phonon-4-4-2 not installed
this using the portage tree ebuilds on my eeepc...
the strange thing is that in my main computer there is not this problem
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Sat Jan 31, 2009 11:17 pm    Post subject: Reply with quote

Krog wrote:
can somebody remember me what to do if there is not a phonon backend in system settings (and there is no sound!)?
my situation:
phonon-kde-4.2.0 installed
phonon-xine-4.1.4 not installed
phonon-4.3.0 installed
qt-phonon-4-4-2 not installed
this using the portage tree ebuilds on my eeepc...
the strange thing is that in my main computer there is not this problem


hmm, check permissions for /usr/share/config (should be world readable) - this may be neverending story
_________________
Maciek
Back to top
View user's profile Send private message
dp20eic
n00b
n00b


Joined: 17 Jul 2002
Posts: 38
Location: Wolfsburg

PostPosted: Sun Feb 01, 2009 6:48 am    Post subject: Reply with quote

Good morning,

Krog wrote:
can somebody remember me what to do if there is not a phonon backend in system settings (and there is no sound!)?
my situation:
phonon-kde-4.2.0 installed
phonon-xine-4.1.4 not installed
phonon-4.3.0 installed
qt-phonon-4-4-2 not installed
this using the portage tree ebuilds on my eeepc...
the strange thing is that in my main computer there is not this problem


my solution, works only if you have "kde" installed with USE="kdeprefix".

If you have to, then "kde" was installed at /usr/kde/4.x but the package "media-sound/phonon" was installed at "/usr/share/kde4".
You can solve the problem with copy or symlink "/usr/share/kde4/services/phononbackends/*" to "/usr/kde/4.2/share/kde4/services/phononbackends/".
Back to top
View user's profile Send private message
kdvgent
Guru
Guru


Joined: 29 Sep 2004
Posts: 328
Location: Belgium

PostPosted: Sun Feb 01, 2009 9:19 am    Post subject: kde-live: problem with korganizer Reply with quote

I decided to try to install kde-live. Everything went fine (@kdebase-live @kdeadmin-live @kdeartwork-live @kdegames-live @kdegraphics-live @kdemultimedia-live @kdenetwork-live @kdeutils-live) except @kdepim-live.

When building korganizer, I get the following error:
Quote:
[ 34%] [ 34%] Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/korgac_automoc.o
Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/korgacmain.o
[ 35%] Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/alarmdialog.o
[ 35%] Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/alarmdockwindow.o
Linking CXX shared module ../../../lib/kontact_plannerplugin.so
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lkaddressbookprivate
collect2: ld returned 1 exit status
make[2]: *** [lib/kontact_plannerplugin.so] Error 1
make[1]: *** [kontact/plugins/planner/CMakeFiles/kontact_plannerplugin.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 35%] [ 36%] Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/koalarmclient.o
Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/korganizer_interface.o
[ 36%] Building CXX object korganizer/korgac/CMakeFiles/korgac.dir/korgacadaptor.o
Linking CXX executable korgac
[ 36%] Built target korgac
Linking CXX shared library ../lib/libkorganizer_core.so
[ 36%] Built target korganizer_core
make: *** [all] Error 2
*
* ERROR: kde-base/korganizer-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3726: Called kde4-meta_src_compile
* environment, line 2838: Called kde4-base_src_make
* environment, line 2601: Called cmake-utils_src_make
* environment, line 989: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
* The die message:
* Make failed!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/korganizer-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/korganizer-9999/temp/environment'.
* This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'
*


With kde-4.2, everything goes fine.
Any suggestion - more information can be provided of course.
Back to top
View user's profile Send private message
KejPi
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jan 2004
Posts: 122
Location: Prague, Czech republic

PostPosted: Sun Feb 01, 2009 1:43 pm    Post subject: Reply with quote

dp20eic wrote:
Good morning,

Krog wrote:
can somebody remember me what to do if there is not a phonon backend in system settings (and there is no sound!)?
my situation:
phonon-kde-4.2.0 installed
phonon-xine-4.1.4 not installed
phonon-4.3.0 installed
qt-phonon-4-4-2 not installed
this using the portage tree ebuilds on my eeepc...
the strange thing is that in my main computer there is not this problem


my solution, works only if you have "kde" installed with USE="kdeprefix".

If you have to, then "kde" was installed at /usr/kde/4.x but the package "media-sound/phonon" was installed at "/usr/share/kde4".
You can solve the problem with copy or symlink "/usr/share/kde4/services/phononbackends/*" to "/usr/kde/4.2/share/kde4/services/phononbackends/".


Yes, phonon doesn't work correctly withou these modification with "kdeprefix". Unfortunately there are more packages which doesn't work correctly that's why I reinstalled KDE 4.2 with "-kdeprefix" and everything works without any "do it yourself" actions ;-)
_________________
hidentity.org
Back to top
View user's profile Send private message
Shamus397
Apprentice
Apprentice


Joined: 03 Apr 2005
Posts: 216
Location: Ur-th

PostPosted: Tue Feb 03, 2009 2:35 pm    Post subject: Reply with quote

Now that we have 4.2.0 in the tree, is this no longer unsupported software? ;)

Also, is there anyplace that shows the release schedule for the 4.2.x series? Inquiring minds want to know. :)
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 38, 39, 40  Next
Page 15 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum